KDIFF3(1)

NAME
kdiff3 - Tool for Comparison and Merge of Files and Folders

SYNOPSIS

kdiff3 [-u, --ignore] [--query] [--html] [--abort] [-m, --merge] [-b, --base file] [-o, --output file] [--out file] [--noauto] [--auto] [--L1 alias1] [--L2 alias2] [--L3 alias3] [-L, --fname alias] [--cs string] [--confighelp] [--config file] [File1] [File2] [File3]

DESCRIPTION

Compares two or three input files or folders.

OPTIONS

-u, --ignore
    Ignored. (User defined.)

--query
    Ignored. (User defined.)

--html
    Ignored. (User defined.)

--abort
    Ignored. (User defined.)

-m, --merge
    Merge the input.

-b, --base file
    Explicit base file. For compatibility with certain tools.

-o, --output file
    Output file. Implies -m. e.g.: -o newfile.txt

--out file
    Output file, again. (For compatibility with certain tools.)

--auto
    No GUI if all conflicts are auto-solvable. (Needs -o file)

--noauto
    Ignore --auto and always show GUI.

--L1 alias1
    Visible name replacement for input file 1 (base).

--L2 alias2
    Visible name replacement for input file 2.

--L3 alias3
    Visible name replacement for input file 3.

-L, --fname alias
    Alternative visible name replacement. Supply this once for every input.

--cs string
    Override a config setting. Use once for every setting. e.g.: --cs AutoAdvance=1.

--confighelp
    Show list of config settings and current values.

--config file
    Use a different config file.

File1
    file1 to open (base, if not specified via --base)

File2
    file2 to open

File3
    file3 to open

SEE ALSO
    More detailed user documentation is available from help:/kdiff3 (either enter this URL into Konqueror, or run khelpcenter help:/kdiff3).
    kf5options(7)
    qt5options(7)

AUTHORS

This manual page was written by Burkhard Lück <lueck@hube-lueck.de>.

AUTHOR

Burkhard Lueck <lueck@hube-lueck.de>
    KDiff3 man page.